﻿#New-SCCMCollectionfromAD
#Written by Brian Kaler
#11/20/2018
#Description
#Creates AD group, adds Members, then creates a collection in SCCM based off membership


#Include the subscripts
$scriptroot = "C:\bkpsdev\sccm"

. $scriptroot\add-computerstoadgroup.ps1
. $scriptroot\add-CollectionfromAD.ps1


#-----------ADD-COMPUTERSTOADGROUP VARIABLES------------------#
$Scriptname = "Add-ComputersToADGroup"
#create a new group name or existing group name, format should be APPPUSH-%APP%-%PACKAGEORAPPID%
$groupname = "APPPUSH-OFFICE365-SSS00096"
#use "Applications" for applications, "SoftwareUpdates" for Software updates
$grouppurpose = "Applications"
#members for manual entry.
$members = @(
        "USWDRL008"
        )
#template for file-based membership, uncomment and edit accordingly.
#$members = get-content ".\apppushmembers.txt"


#-----------ADD-CollectionFromAD VARIABLES------------------#
$Scriptname = "Add-CollectionFromAD"
$SiteCode = "SSS" 
$SiteServer = "uswscm901.us.pinkertons.com" 
# Import the ConfigurationManager.psd1 module  
Import-Module "$($ENV:SMS_ADMIN_UI_PATH)\..\ConfigurationManager.psd1"  
# Set the current location to be the site code. 
Set-Location $SiteCode":\"  
#---------------edit the parameters first!
#as all CM functions need to be in the "SSS:\\" location we need to preserve a path to input files
$documentroot = "c:\users\bkaler!\documents"
#Name of the collection - also the name of the query rule and , used interchangably in script
#Format: TYPE-SHORTNAME-PACKAGEID
$collectionname = "APPPUSH-OFFICE365-SSS00096"
#AD Group name
$adgroupname = "APPPUSH-OFFICE365-SSS00096"
#laziness with variables
$collectiongroup = $collectionname
#Limiting collection id cheatsheet
#    All Servers with client installed = "SSS0005F"
#    All Workstations with client installed = "SSS00060"
#    All Servers and Workstations = "SMSDM003"
$limitingcollectionid = "SMSDM003"
#Provide the precise AD group name
$members = "PNKUS\\$collectionname"
#update this comment for description of the group!!!
$comment = "AutoGenerated by $Scriptname for $collectionname"



#here is where the magic happens

Add-ADGroupMembers -groupname $groupname -members $members -grouppurpose $grouppurpose

Add-CollectionFromAd -collectionname $collectionname -queryname $collectionname -limitingcollectionid $limitingcollectionid -adgroupname $ADGROUPNAME